package fanch.multijeu.common.utils;

public class DoubleUtils {
    public static double rand(double x, double y, int precision)
    {
        double resolution = (y-x)/((double)precision);
        return x+((double)IntUtils.rand(0, precision-1))*resolution;
    }

    public static double rand(double x, double y)
    {
        return rand(x,y, 1000000);
    }
}
